package com.yeejoin.amos.boot.module.tcm.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@AllArgsConstructor
@Getter
public enum TwoStipulateGroupEnum {
    /**
     * 分组枚举
     *
     */

    AQY("安全员",1712372048442978305L),
    AQZJ("安全总监",1712372007611428865L),
    ZYFZR("主要负责人",1712372027123331074L),
    ZLAQY("质量安全员",1712372116055158786L),
    ZLAQZJ("质量安全总监",1712372080231608322L);
    String name;
    Long id;

    public static Map<Long,String> getName=new HashMap<>();
    public static Map<String,Long> getId=new HashMap<>();

    static {
        for (TwoStipulateGroupEnum e : TwoStipulateGroupEnum.values()){
            getName.put(e.id, e.name);
            getId.put(e.name, e.id);
        }

    }
}
